# NSUUID

    extension NSUUID: DefaultNSSecureCodable

    extension NSUUID: FieldStorableType

    extension NSUUID: ImportableAttributeType

    extension NSUUID: AllowedOptionalObjectiveCKeyPathValue

    extension NSUUID: AllowedObjectiveCAttributeKeyPathValue

    extension NSUUID: QueryableAttributeType

### NSUUID

- `cs_fromFieldStoredNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromFieldStoredNativeType(_ value: FieldStoredNativeType) -> Self

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = NSUUID

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = NSUUID

### NSUUID

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSString

- `cs_rawAttributeType`

  #### Declaration

  Swift

      @nonobjc
      public class var cs_rawAttributeType: NSAttributeType { get }

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> `Self`?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType